> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qcall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Inbound

> Returns all inbound assistants that the authenticated user has access to. Each inbound assistant links an assistant to a dialer phone number so that incoming calls to that number are answered by the AI assistant.

Returns all inbound dialer that the authenticated user has access to.

Each inbound dialer links an existing assistant to a dialer phone number, so that incoming calls placed to that number are automatically answered by the AI assistant. The response includes the linked assistant name, the attached phone number, and the number of incoming calls handled.


## OpenAPI

````yaml GET /inbound/list
openapi: 3.0.1
info:
  title: QCall Ai API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.qcall.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /inbound/list:
    get:
      summary: List inbound assistants
      description: >-
        Returns all inbound assistants that the authenticated user has access
        to. Each inbound assistant links an assistant to a dialer phone number
        so that incoming calls to that number are answered by the AI assistant.
      responses:
        '200':
          description: Inbound assistant response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Inbound'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Inbound:
      required:
        - id
        - name
        - assistant_id
        - dialer_id
      type: object
      properties:
        id:
          description: Unique identifier of the inbound assistant
          type: string
        name:
          description: The display name of the inbound assistant
          type: string
        assistant_id:
          description: ID of the assistant that answers the inbound calls
          type: string
        assistant_name:
          description: Name of the linked assistant
          type: string
        dialer_id:
          description: ID of the dialer that provides the phone number
          type: string
        phone_number:
          description: Phone number the inbound assistant is attached to
          type: string
        incoming_count:
          description: Number of incoming calls handled by this inbound assistant
          type: integer
          format: int32
        notification:
          description: >-
            Whether notifications are enabled for incoming calls handled by this
            inbound assistant
          type: boolean
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````